#272 LDAP authentication problem

open
nobody
LDAP (5)
1
2014-08-15
2012-09-03
Anonymous
No

Hi everybody,

I encountered a problem when setting LDAP authentication with MRBS. The following is a part of my config.inc.php file.

But I still get a username invalid message when I tried to login with an correct credential.

What should I do to make the LDAP authentication works?

Thanks!

$auth["session"] = "php";

$auth["type"] = "ldap";

$ldap_host = "10.10.11.12";
$ldap_port = 389;
$ldap_v3 = true;
$ldap_tls = false;
$ldap_base_dn = "OU=branches,DC=aaa,DC=com";
$ldap_user_attrib = "sAMAccountName";
$ldap_dn_search_attrib = "sAMAccountName";
$ldap_debug = true;

Discussion

  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-09-04

    Update.

    I found the error log showing:

    [Tue Sep 04 09:00:01 2012] [error] [client 10.10.49.128] authLdapAction: Got LDAP connection, referer: http://10.10.11.41:88/mrbs/admin.php

    [Tue Sep 04 09:00:01 2012] [error] [client 10.10.49.128] authLdapAction: Result of initial bind is 1, referer: http://10.10.11.41:88/mrbs/admin.php

    [Tue Sep 04 09:00:01 2012] [error] [client 10.10.49.128] authLdapAction: Didn't find entry using 'sAMAccountName', referer: http://10.10.11.41:88/mrbs/admin.php

    [Tue Sep 04 09:00:01 2012] [error] [client 10.10.49.128] authLdapAction: base_dn 'OU=branches,DC=aaa,DC=com' user admin dn , referer: http://10.10.11.41:88/mrbs/admin.php

    [Tue Sep 04 09:00:01 2012] [error] [client 10.10.49.128] authValidateUserCallback: base_dn 'OU=branches,DC=aaa,DC=com' dn '' user 'admin', referer: http://10.10.50.41:88/mrbs/admin.php

    [Tue Sep 04 09:00:01 2012] [error] [client 10.10.49.128] authValidateUserCallback: Bind to '' failed, referer: http://10.10.11.41:88/mrbs/admin.php

     
    Last edit: Anonymous 2012-09-04
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-09-04

    Finally found the reason.
    Just add $ldap_disable_referrals = TRUE; to the config file for Win2003 server.

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2012-09-13

    I'm getting exactly the same error as you but already had $ldap_disable_referrals = TRUE set. Not sure why the Bind to '' failed message has a blank value?

    Here is my config:

    $ldap_host[] = "DCSERVER01.HIDDEN.co.uk";
    $ldap_host[] = "DCSERVER02.HIDDEN.co.uk";
    $ldap_port = 389;
    $ldap_v3 = true;
    $ldap_tls = false;
    $ldap_base_dn[] = "OU=HIDDEN,DC=HIDDEN,DC=co,DC=uk";
    $ldap_base_dn[] = "OU=HIDDEN,DC=HIDDEN,DC=co,DC=uk";
    $account_suffix = "@HIDDEN.co.uk";
    $ldap_dn_search_attrib = "sAMAccountName";
    $ldap_dn_search_dn = "CN=MRBS Service Account,CN=HIDDEN,DC=HIDDEN,DC=co,DC=uk";
    $ldap_dn_search_password = "HIDDEN";
    $ldap_disable_referrals = TRUE;
    $ldap_get_user_email = TRUE;
    $ldap_email_attrib = 'mail';
    $ldap_unbind_between_attempts = FALSE;
    $ldap_debug = TRUE;

     
    Last edit: Anonymous 2012-09-13
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2014-04-09

    Hello,
    somebody resolved this problem ?

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2014-04-23

    It fails when the user is not found or password is wrong.

     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks